blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
d51c97d1b6bd0b42d8ac601a6d83d29e787dfb55
Shell
shan520cao/teddysun
/lamp2.2/xcache_3.1.0.sh
UTF-8
3,142
3.109375
3
[]
no_license
#!/bin/bash PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin export PATH #=============================================================================================== # SYSTEM REQUIRED: CentOS-5 (32bit/64bit) or CentOS-6 (32bit/64bit) # DESCRIPTION: Xcache for LAMP # AUTHOR: Tedd...
true
71ba22efa0d7cf79b0269d1e841cf500f5ebef2b
Shell
liebercanis/bacon
/pmt/runPlot
UTF-8
141
2.828125
3
[]
no_license
#!/bin/bash if [ -z "$1" ] then echo "usage: runGen <FILE>" exit else FILE=$1 fi echo "plotEv.C(\"$FILE\")" root "plotEv.C(\"$FILE\")"
true
5f4a374eb10243363da148b20a04ed43e26f5cb4
Shell
Bulliby/Clone-Repositories
/clone.sh
UTF-8
1,477
4.125
4
[]
no_license
#!/bin/bash set -e # ERRORS CODE E_BADARGS=11 E_BADLOCATION=12 usage() { cat <<UsagePrint Usage : ./clone.bash -t target [-v] [-h] ./clone.bash --target target [--verbose] [--help] Clone all your repositories from your github account Verbose : Permit to see what is done at each step Help : P...
true
2d6eb5d5048c7a8121aa679901857ad05cb1d42f
Shell
tgrahamcodes/CS4513_proj1
/tests/test_mount.sh
UTF-8
2,936
3.453125
3
[]
no_license
#!/bin/bash FSBIN="./solution/test_goatfs" # begin: expected output mount-output() { cat <<EOF disk mounted. 2 disk block reads 0 disk block writes EOF } mount-mount-output() { cat <<EOF disk mounted. mount failed! 2 disk block reads 0 disk block writes EOF } mount-format-output() { cat <<EOF disk moun...
true
16292b31f18ec38652ee0c4fa6833dca8171e8c1
Shell
korkmazkadir/sysproj-team-e
/code/test/integration-test/make_test.sh
UTF-8
4,304
3.265625
3
[ "MIT-Modern-Variant" ]
permissive
#!/bin/bash #Colors GREEN='\033[0;32m' RED='\033[0;31m' NC='\033[0m' # No Color EXECUTABLE="../../build/nachos-step6 -f -cp" EXECUTABLE_RAND="../../build/nachos-step6 -rs -f -cp" #EXECUTABLE_RAND_SEED="../../build/nachos-step6 -rs 18 -x" nbFails=0 Check_Result(){ if [ "$?" -eq "0" ] then printf "${...
true
1d8776110620892c75967c9c134e17896f32ede9
Shell
wcybxzj/ulx
/ule_zhang/0.homework/7.vnc.sh
UTF-8
242
2.90625
3
[]
no_license
#!/bin/bash for i in {2..254} do { ip=172.16.80.$i ping -c1 -W1 $ip &>/dev/null if [ $? -eq 0 ];then nmap $ip|grep vnc &>/dev/null if [ $? -eq 0 ];then echo "===========" echo $ip vnc fi fi }& done wait echo "finish...."
true
84f562abb476b511ae203abe4e5a14ea1b628592
Shell
hakatashi/esolang-box
/boxes/zig/script
UTF-8
186
2.578125
3
[ "MIT" ]
permissive
#!/bin/sh infile=$(realpath "$1") ln -sf "$infile" /tmp/code.zig cd /tmp ~/zig-linux-x86_64-0.10.1/zig build-exe code.zig cat - | /tmp/code rm /tmp/code.zig code rm -r /tmp/zig-cache
true
5a519b285e120d1ddeebe39ca110650b0a6f485c
Shell
princebarpaga/BashPractice
/labtestpractice/findhidden.sh
UTF-8
875
3.75
4
[]
no_license
#!/bin/bash ##https://askubuntu.com/questions/468901/how-to-show-only-hidden-files-in-terminal # Using find and awk, # # find . -type f | awk -F"/" '$NF ~ /^\..*$/ {print $NF}' # Explanation: # # find . -type f --> List all the files in the current directory along with it's path like, # # ./foo.html # ./bar.html # ./...
true
e8b397f6ec783739f6b335ba157351e76f7c0af0
Shell
davidandreoletti/dotfiles
/.oh-my-shell/shellrc/plugins/docker/functions.sh
UTF-8
1,182
3.9375
4
[]
no_license
f_docker_showContainersInNetwork() { # https://stackoverflow.com/a/43904733 docker network inspect $1 -f "{{json .Containers }}" } f_docker_SSHIntoContainer() { local containerName="$1" local dockerContainerID="`docker ps -a | grep \"$containerName\" | cut -d ' ' -f 1`"; docker exec -it "$dockerContainerID...
true
a22ff92706e6e9664a74139a6f290c9efde3236c
Shell
ESTbunto/Projet-syst-me-d-exploition
/EST.sh.txt
ISO-8859-2
1,081
3.96875
4
[]
no_license
#!/bin/bash # constants quiz_file=ESTqcm.txt score=0 # Pour vrifier si le fichier de qcm existe if [ ! -f $quiz_file ] then echo "Fichier QCM introuvable !" exit 1 fi # game loop (loop over quiz file line/line) while read -u9 line do # analyse du fichier qcm pour la question en cours ...
true
b27993a9be6d5105814c5cba497526c5af7269dc
Shell
comentarismo/adex-adview
/addToAdexIpfs.sh
UTF-8
346
2.53125
3
[]
no_license
#!/usr/bin/env bash USERNAME=$1 HOSTNAME=$2 SCRIPT='/home/data/adex-adview/addAndPinIpfs.sh' # npm run-script build rsync -av ./dist ${USERNAME}@${HOSTNAME}:/home/data/adex-adview rsync -av --chmod=Du=rwx,Dg=rx,Do=rx,Fu=rwx,Fg=r,Fo=r ./addAndPinIpfs.sh ${USERNAME}@${HOSTNAME}:/home/data/adex-adview ssh -l ${USERNAME...
true
254a6f103af1b0135374f72ea5acbb3eeef8db48
Shell
guillaume-ggo/shell-scripts
/bash/tokenisation_with_sed.sh
UTF-8
706
3.921875
4
[]
no_license
#!/bin/bash TARGET_ENV=$1 if [ -z "${TARGET_ENV}" ]; then echo "The TARGET_ENV variable is empty." exit 1 fi if [ ! -f ${TARGET_ENV}.properties ]; then echo "The ${TARGET_ENV}.properties file does not exist." exit 1 fi # We have to export variables to be used with envsubst command set -a source ${TARGET_ENV}.pr...
true
817118cac956bcdb48ffbf68ee10128646ff09c3
Shell
boundless-exchange/web
/scripts/test:style
UTF-8
246
2.921875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -e source ./scripts/include/node FILES=("${@}") if [[ "${#FILES[@]}" = "0" ]]; then FILES+=($(find config -name "*.js")) FILES+=($(find src -name "*.js")) FILES+=($(find src -name "*.jsx")) fi eslint "${FILES[@]}"
true
189d533edd1b52eb8f105ab363f61d023094afa8
Shell
TaichiN/kernel_build
/crespo/make-ramdisk.sh
UTF-8
437
2.984375
3
[]
no_license
#!/bin/bash cp -r $BUILD_ROOT_DIR/$DEVICE/ramdisk $TARGET_DIR/ramdisk [ $? -ne 0 ] && echo "Error: failed to copy ramdisk." && exit 1 cd $TARGET_DIR/ramdisk # make sure all directories are created because git doesn't save empty directories mkdir -p data dev proc sbin sys system chmod 750 init* chmod 750 sbin/adbd ch...
true
9c343641a1a6f33265a721c9c244f6719e3896e0
Shell
leimark/fibonacci
/scripts/fibonaccid
UTF-8
739
3.640625
4
[]
no_license
#!/bin/bash # chkconfig:- 80 80 # Init file for Fibonacci service daemon # # Description: Fibonacci service deamon # # processname: fibonaccid servicename="fibonacci" prog="/usr/local/bin/fibonacci" log="/var/log/fibonacci.log" start() { nohup $prog >> $log 2>&1 & } stop() { ps -ef |grep $prog |grep -v "grep" |...
true
d41b494909438abb7eed0a537cd53213c35afc34
Shell
rtrouton/rtrouton_scripts
/rtrouton_scripts/check_apfs_encryption/check_apfs_encryption.sh
UTF-8
2,079
4.25
4
[ "MIT" ]
permissive
#!/bin/bash # Determine OS version # Save current IFS state OLDIFS=$IFS IFS='.' read osvers_major osvers_minor osvers_dot_version <<< "$(/usr/bin/sw_vers -productVersion)" # restore IFS to previous state IFS=$OLDIFS ERROR=0 # Checks to see if the OS on the Mac is 10.13 or higher. # If it is not, the following me...
true
6a9178fadacd1dc18dba41d36cd280a65abc7729
Shell
Otus-DevOps-2018-02/wildermesser_infra
/config-scripts/install_mongodb.sh
UTF-8
631
3.375
3
[ "MIT" ]
permissive
#!/bin/bash echo "Setting mongodb repo" sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv EA312927 sudo bash -c 'echo "deb http://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/3.2 multiverse" > /etc/apt/sources.list.d/mongodb-org-3.2.list' echo "Installing mongodb" sudo apt update sudo apt install -y...
true
c9fda3e44d2ac8fcad47e1770c5dd797141d0f64
Shell
rgbyk/color
/bin/lib/kill.sh
UTF-8
562
2.734375
3
[ "MIT" ]
permissive
#!/bin/sh ####################################################################### ## @rgbyk/color/bin/lib/kill.sh ####################################################################### # 1. $ chmod +x ./bin/lib/kill.sh # 2. $ ./bin/lib/kill.sh # 3. $ "kill": "chmod +x ./bin/lib/kill.sh && ./bin/lib/kill.sh" set -e ...
true
d683c8d67797e022fe4cc51b4beebf006e94e47c
Shell
michalcza/scripting
/Automation/syncUSB.sh
UTF-8
1,403
3.625
4
[]
no_license
#!/bin/sh ################################################################### #Script Name :syncUSB.sh #Description :Rsync between two folders when USB mounted #Created :22 November 2018 #Args : #Author :Michal Czarnecki #Email :mczarnecki@gmail.com #GitHub :http://www.g...
true
bf9f353d6b74c2836f9b8f75ed5c7dc54a2752de
Shell
danzimm/introcs-drunken-octo-bear
/init.sh
UTF-8
278
2.703125
3
[]
no_license
#!/usr/bin/env bash CDIR=`pwd` if [ ! -e "hmwk.scala" ]; then echo "You must be in the base directory of the repo in order to run this" fi git submodule update --init --recursive ln -s datafiles/*.data . ln -s datafiles/students_*.txt . ln -s datafiles/categories_*.txt .
true
32a23b24c473758956addb9e1f588b11d0926fcb
Shell
IshtarGate/dockerScripts
/intialize-docker.sh
UTF-8
1,747
2.953125
3
[]
no_license
## make sure your EC2 instance has the correct security group and is open on the connecting port # ------ Typical ~/.ssh/config ------ ## Personal # Host jahdocker #my docker dev # Hostname 34.195.153.103 # User ubuntu # IdentityFile ~/.ssh/personal/jah-docker.pem # ------ Install Docker Non-Sudo ------ ## lo...
true
1b431944d1b54822c6802779effeaa41f5cca08e
Shell
mosbth/dbwebb-cli
/dbwebb2-validate.bash
UTF-8
18,226
2.734375
3
[ "MIT" ]
permissive
# --------------- DBWEBB-VALIDATE MAIN START HERE --------------- # # External tools # #HTMLHINT="dbwebb-htmlhint" HTMLHINT="htmlhint" HTMLHINT_OPTIONS= HTMLHINT_CONFIG= CSSLINT="csslint" CSSLINT_OPTIONS="--quiet" STYLELINT="stylelint" STYLELINT_OPTIONS="" SCSSLINT="stylelint" SCSSLINT_OPTIONS="" JSHINT="jshint" E...
true
0a28307bea8d645fe279b4fbea19c65b9c317197
Shell
russoz/homedir
/bin/git-sync-origin
UTF-8
1,195
3.984375
4
[]
no_license
#!/bin/bash # # git-sync-origin # # local $alexei_znamensky, '<', 'russoz [AT] CPAN DOT ORG' # # This script will automate some steps for a developer working on a forked # git repository: # # 1. Pull (and merge) changes from origin into master # 2. Push the master branch (with the changes) into origin # # There...
true
72096670a48e8e1608b1091aadf8e3e3a79dd345
Shell
cncf/cnf-testbed
/comparison/box-by-box-kvm-docker/Pktgen/traffic_test.sh
UTF-8
289
2.984375
3
[ "Apache-2.0" ]
permissive
#! /bin/bash iterations=1 nfvbench="sudo docker exec -it nfvbench nfvbench -c /tmp/nfvbench/nfvbench_config.cfg" prefix="aug_21_test" # Change to something identifiable for iter in $(seq 1 $iterations); do $nfvbench --rate pdr_ndr | sudo tee -a results/${prefix}_iter_${iter}.log done
true
43ed297c2c04435817fa441db9ef1f4b5a803443
Shell
microscum/WebLogic_Notes
/practices/.internal/cleanenv.sh
UTF-8
3,671
3.1875
3
[]
no_license
# ------------------------------------------------------------------------ # -- DISCLAIMER: # -- This script is provided for educational purposes only. It is NOT # -- supported by Oracle World Wide Technical Support. # -- The script has been tested and appears to work as intended. # -- You should always r...
true
1fe79cdcb4e8cf7602aaa17b817d140195856bb7
Shell
scromityiii/PolyBandit
/level11.sh
UTF-8
3,029
3.59375
4
[]
no_license
#!/bin/bash echo "******************************************************************" >> /home/level11/README.txt; echo "* Welcome to PolyBandit. This is a polymorphic clone of *" >> /home/level11/README.txt; echo "* Overthewire.org's Bandit exercise. The object is to figure out *" >> /home/level11/README.txt...
true
b5ca9226a89545a6954e7481ba1e310cb40b8724
Shell
vkonst/ether-connection-tests
/tcpdump/captureNetwTraf.sh
UTF-8
305
3.125
3
[]
no_license
#!/bin/sh [ -z "$1" ] && host="localhost:8545" || host="$1"; [ -z "$2" ] && fname="tcpdump-`date +%s`.lst" || fname="$2"; port=${host#*:*} host=${host%%:*} filter="host ${host}" [ -z "$port" ] || filter="${filter} and port ${port}"; sudo tcpdump -s0 -U -n -w - -G 30 -W 1 -i en0 "${filter}" > ${fname}
true
0fa47d5f47723a4a926ba23dce70da6faa84556d
Shell
adobe/experience-platform-streaming-connect
/docker-entrypoint.sh
UTF-8
3,458
3.296875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash ## # Copyright 2019 Adobe. All rights reserved. # This file is licensed to you under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. You may obtain a copy # of the License at http://www.apache.org/licenses/LICENSE-2.0 # # Unle...
true
2c9a4ffd431c6d0d9a37fef31bb35e9ce89e7e4b
Shell
mateusz/colander
/test.sh
UTF-8
400
3.015625
3
[]
no_license
#!/bin/bash ulimit -n 10000 if [ -z "$1" ]; then echo "Please provide name for the test that will be used as the graph directory name." exit 2 fi ./test_pseudo.sh & PID=$! ab -c 1 -n 200 -g ab.tsv http://localhost:8888/slow.php\?f\=1 killall siege kill $PID mkdir -p "$1" gnuplot < graphs/distribplot.txt mv dis...
true
26eb4c6d8aa02e33ec3b8184334941a798836758
Shell
goneri/idrac-kvm-keyboard-fix
/javaws-idrac
UTF-8
431
3.234375
3
[]
no_license
#! /bin/sh # # Use wrapper to work around Dell iDRAC keycode mangling HACK=$HOME/local/lib/keycode-hack.so # check for existence of icedtea-web JAVAWS=$(which javaws) if test -z "${JAVAWS}" ; then JAVAWS=$(which javaws.itweb) if test -z "${JAVAWS}" ; then echo "ERROR: cannot find a suitable javaws" 1>&2 fi fi i...
true
eff560797fa096fae936b62ab219e71f1a508aec
Shell
GoogleCloudPlatform/training-data-analyst
/courses/machine_learning/deepdive/10_recommend/endtoend/scripts/generate_traffic.sh
UTF-8
1,563
3.75
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # Copyright 2017 Google Inc. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicab...
true
6505664b1322a54199056a0c0cfd156cff00cbe7
Shell
kssfilo/pushpop
/push
UTF-8
2,049
3.921875
4
[ "MIT" ]
permissive
#!/bin/bash #set -x showusage=0 pushdir=${PUSHDIR-$HOME/.push} ispop=0 debug=0 count=1 popall=0 list=0 drop=0 trace() { if [ $debug -eq 1 ] then echo $* fi } cmd=$(basename $0) if [ $cmd == 'pop' ];then ispop=1;fi while getopts "hvn:adl" i do case $i in h) showusage=1 ;; v) debug=1 ;; n) c...
true
7148b2cfce4f39df7f841e46c56dcaa7f8df7796
Shell
delkyd/alfheim_linux-PKGBUILDS
/sonarqube/PKGBUILD
UTF-8
3,048
3.015625
3
[]
no_license
# Submitter: Atsushi Ichiki <hitotuky at gmail dot com> # Maintainer: Max Falk <gmdfalk at gmail dot com> _pkgname=sonarqube pkgname=${_pkgname} pkgver=6.2 pkgrel=1 pkgdesc="An open source platform for continuous inspection of code quality" arch=("i686" "x86_64") url="http://www.sonarqube.org/" license=('LGPL3') depe...
true
a429889ec8f2cd408aac9f4cfdee0f98660d68d5
Shell
MRSD2018/reefbot-1
/hima_experiment/settings/vu_estimation/eth/SpectralSaliencyExtraction2.sh
UTF-8
839
2.765625
3
[ "MIT" ]
permissive
#!/bin/bash OUTPUT_DIR=/data/mdesnoye/pedestrian/vu_estimation/eth/spectral_saliency INPUT_DIRS=(/data/mdesnoye/pedestrian/eth/hima/Crossing \ /data/mdesnoye/pedestrian/eth/hima/Lowenplatz \ /data/mdesnoye/pedestrian/eth/hima/Linthescher \ ) #export CPUPROFILE=/home/mdesnoye/tmp/vu_saliency.prof INPUT_DIR_FILE=${OUT...
true
6f4d3b1a533d927d83456717212e57eeb7be3ef0
Shell
mochi5o/TIL
/ScrapBox/Linux/summery2.sh
UTF-8
224
3.546875
4
[]
no_license
#!/bin/bash for file in "$@" do if [ -d "$file" ]; then echo "$file is a directory" ls "$file" elif [ -f "$file" ]; then echo "$file is a regular file" head -n 5 "$file" fi done
true
7ce71feb1a34e58f540d45d47a58309f6636625e
Shell
wonder2014/innocent
/addBadCode.sh
UTF-8
3,086
3.4375
3
[]
no_license
#!/bin/bash # Copyright [2013] [alex-ko askovacheva<<at>>gmail<<dot>>com] # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # U...
true
6c8e2e65a4aefa47606233d78c00093ef7b96c09
Shell
clarenceb/docker_playground
/swarm_scripts/docker_swarm_ps.sh
UTF-8
256
2.671875
3
[ "MIT" ]
permissive
#!/bin/bash basedir=$(readlink -f $(dirname $0)) source ${basedir}/common_env.sh echo "=== Docker Swarm ===" docker -H ${DOCKER_SWARM_HOST} ps | perl -ne '@cols = split /\s{2,}/, $_; printf "%0s %25s %20s %30s\n", $cols[0], $cols[1], $cols[4], $cols[6]'
true
6f974f85ba9c903ad05678c1be3defcefed465d9
Shell
Procrat/dotfiles
/bin/wallpaper
UTF-8
621
3.921875
4
[ "MIT" ]
permissive
#!/usr/bin/env bash # # Sets the wallpaper with feh and creates a png for the screen locker set -euo pipefail if [[ $# -ne 1 ]]; then echo "Usage: $(basename "$0") file" >&2 exit 1 fi wallpaper="$1" FIXED_WALLPAPER_PATH="$HOME/.local/share/wallpaper.png" geometry="$(xrandr | grep '\*' | awk '{ print $1 }')"...
true
7dc4a33ee14adda74d1d04f8eb2c56edbaa549d6
Shell
hubzero/hapi
/scripts/mesquite-3.03_install.sh
UTF-8
1,371
3.609375
4
[]
no_license
#!/bin/bash # this depends on having the following debian packages installed # set -e set -x pkgname=mesquite VERSION=3.03 basedir=/apps/share64/debian7 pkginstalldir=${basedir}/${pkgname} tarinstalldir=${pkginstalldir}/tars installprefix=${pkginstalldir}/${VERSION} downloaduri=https://github.com/MesquiteProject/Me...
true
85003fcd15ff722b13eb65d9d0991c2652b1925d
Shell
jerome-labidurie/buddiesjewel_firmware
/BlinkM/ReflashBlinkM/flash.sh
UTF-8
514
2.796875
3
[]
no_license
#!/bin/bash # flash a attiny45 with blinkm proprietary firmware # firmware extracted from http://code.google.com/p/blinkm-projects/wiki/ReflashBlinkM if [ -z "$1" ] then USB=/dev/ttyUSB0 else USB=$1 fi PGM="avrisp -b 19200" #PGM=stk500 # lire fuses avrdude -V -p t45 -c $PGM -P $USB -U lfuse:r:-:b -U hfuse:r:-...
true
30ddf72a8603762d946236d88d30e8f22b78b383
Shell
rpodgorny/bootstrap
/atxmonc.sh
UTF-8
766
3.109375
3
[]
no_license
#!/bin/sh set -e -x echo "atxmon is dead" exit 1 if [ -d /cygdrive/c/atxmonc ]; then echo 'atxmonc already installed?' exit 0 fi /cygdrive/c/atxpkg/atxpkg install atxmonc --yes cd /cygdrive/c/atxmonc # the cat is there only to eat the possible error when grep finds nothing mj=`ls /cygdrive/c/atx300 | grep mj |...
true
2b4f5e37633b5c8f7aaf024f58d8c3d2dc7d2ad4
Shell
yaswant/ysh
/caldat
UTF-8
3,339
4.125
4
[ "MIT" ]
permissive
#!/bin/bash -e [ -n "$DEBUG" ] && set -x # ---------------------------------------------------------------------------- if [[ "$OSTYPE" == 'linux'* ]]; then TEMP=$(getopt -o f:hvV --long format:,help,version,verbose \ --name "$0" -- "$@") [ $? != 0 ] && { echo "Terminating..." >&2; exit 1 ; } eva...
true
005db68eab6f26e55842397e497b00a08e033218
Shell
isaacselement/ApkSmaliJebTools
/apk/signapk/signapk
UTF-8
16,550
3.03125
3
[]
no_license
#!/system/bin/sh TMP="/cache" # write temp files here, or try these if it won't work: ALTTMP="/sqlite_stmt_journals /system/sd/tmp /system/sd-ext/tmp /tmp /data/local /system/sd /system/sd-ext /sdcard" ZIP="$0-zip" # bundled zip (static uclibc/arm): not aware of any r...
true
739e4c98ff1fd25520d266755e362d7db893ef60
Shell
EduardoPazz/dotfiles
/scripts/stabshell
UTF-8
349
2.765625
3
[]
no_license
#!/bin/bash function command() { xdotool type "$1" && \ xdotool key KP_Enter } function control() { xdotool key ctrl+$1 } function stabilize() { command "fg" && \ command "exec python3 -c 'import pty; pty.spawn(\"/bin/bash\")'" && \ control z && \ command "stty raw -echo" && \ command "fg" && \ command "export...
true
dbd7067b8fafd6254cf4ddcd12f2a408c44a06fc
Shell
osism/testbed
/scripts/enable-secondary-nodes.sh
UTF-8
252
2.96875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash number_of_secondary_nodes=$(expr $1 - 3) if [[ $number_of_secondary_nodes -gt 0 ]]; then for node in $(seq 4 $(expr $1 - 1)); do sed -i "/^#.*testbed-node-$node/s/^#//" /opt/configuration/inventory/10-custom done fi
true
8b5cd0147fd1420f642dfd04abce319eb36ec298
Shell
vcatafesta/chili
/bombando/kdialog/prgs/warningcontinuecancel.kdi
UTF-8
320
2.71875
3
[ "MIT" ]
permissive
#! /bin/bash # Exemplos do diálogo --warningcontinuecancel # Para funcionar é necessário antes atribuir um #+ valor à variável $pid kdialog --title "Exemplo de warningcontinuecancel" \ --warningcontinuecancel "O programa com PID = $pid está demorando muito para terminar. Deseja encerrá-lo?" && kill $pid
true
c0c2fc5829da9fc037781da5a08dd364c55cd569
Shell
alokjani/openstack.ops-tools
/ceph/ceph-list-snapshots.sh
UTF-8
211
2.921875
3
[]
no_license
#!/bin/bash user="cinder" conf="/etc/ceph/ceph.conf" pool="volumes" volume_id=$1 if [ -z $1 ]; then echo "Usage: $1 <volume_id>" exit fi rbd --user $user --conf $conf snap ls $pool/"volume-$volume_id"
true
b50b5eaee02a86bf77f97b50cb046099d1f352cc
Shell
jpagano/pi-hosted
/tools/nginx-proxy-manager.sh
UTF-8
715
3.28125
3
[]
no_license
#!/bin/bash function error { echo -e "\\e[91m$1\\e[39m" exit 1 } echo "Creating directories..." sudo mkdir -p /portainer/Files/AppData/Config/nginx-proxy-manager/data || error "Failed to create data folder!" sudo mkdir -p /portainer/Files/AppData/Config/nginx-proxy-manager/letsencrypt || error "Failed to create l...
true
1394eadb4180a1ce194cd2ed1bbfc69c11e9374e
Shell
sjeemb/scout
/t-bench/tools/start-workers.sh
UTF-8
514
2.828125
3
[]
no_license
#!/bin/bash if [[ "$1" == "" ]] || [[ "$2" == "" ]] || [[ "$3" == "" ]] || [[ "$4" == "" ]] ; then echo "Usage: ./start-worker.sh nid model batch_size num_gpus [options]" exit -1 else nid=$1 model=$2 batch_size=$3 num_gpus=$4 python tf_cnn_benchmarks.py --local_parameter_device=cpu --num_gpus=${num_gpus} \ --b...
true
82777364dc7f175c26b6b57ecd067047dd3daa94
Shell
mborzyszkowski/LinuxBackup
/linuxrestore.sh
UTF-8
5,748
3.8125
4
[]
no_license
#!/bin/bash print_help(){ if [ "$1" -gt 1 ]; then echo "Użycie opcji -h lub --help z innymi opcjami jest niedozwolone" exit 1 fi echo " ---- HELP: napisz man linuxrestore -----" exit 0 } print_version(){ if [ "$1" -gt 1 ]; then echo "Użycie opcji -v lub --version z innymi opcjami jest niedozwolone" exit...
true
25790ca7ec4a917b93a5d7f7a19b711371e4db4c
Shell
nonamenix/GreatFuckingAdviceBot
/bot/healh_check.sh
UTF-8
94
2.96875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash PID=$(cat ".pid") if ps -p $PID > /dev/null then exit 0 else exit -1 fi
true
e4387215b748ede7f66ec3d8b7acb2c6c57cceba
Shell
sr105/shinyProtector
/shinyProtector
UTF-8
460
3.046875
3
[]
no_license
#!/bin/bash #stop any partially completed timer iterations. timebar --stop while : do sleep 5 # sure would like to replace this sleep with a native Cocoa or Quartz # applescript call to look for the timebar dialog box and wait for it # to be closed. timebar --duration $(( 60 * 30 )) --message "Foc...
true
9115c3907c4b0c0291d3b98d67cbf71b46a04f4e
Shell
rajkumarbl/EECS_2031
/Assignments/Assignment2/Unix/icount
UTF-8
1,380
3.8125
4
[]
no_license
#!/bin/sh # EECS2031 - Assignment 2 # Filename : icount # Author : Balakrishnan Lakshmi, Rajkumar # Email : kumarraj@my.yorku.ca # Login ID : kumarraj # Student ID : 213141197 echo -n "Enter input file name: " read myfile if test ! -e $myfile then echo "File '$myfile' does not exist." exit 0 elif...
true
bafc88976fefad71ced0acd05618e74e23d2fa0a
Shell
wastrachan/pkgbuilds
/wireguard-vanity-keygen-bin/PKGBUILD
UTF-8
1,892
2.84375
3
[ "Unlicense" ]
permissive
# Maintainer: Winston Astrachan <winston dot astrachan at gmail dot com> pkgname=wireguard-vanity-keygen-bin _shortname=wireguard-vanity-keygen pkgver=0.0.5 pkgrel=1 pkgdesc='WireGuard vanity key generator' arch=('x86_64' 'aarch64' 'i686' 'arm') url='https://github.com/axllent/wireguard-vanity-keygen' license=('custom...
true
644e1141d07f7816554689562b37cdb258913fff
Shell
obscuredepths/dotfiles
/.git_template/hooks/pre-commit-images
UTF-8
263
3
3
[]
no_license
#!/bin/bash -l echo "Optimizing images" # Find image files and optimize them for FILE in `exec git diff --name-status |grep -v "^D" | grep ".png$" | awk '$1 != "R" { print $2 }'`; do echo "Optimizing $FILE" bundle exec smusher $FILE git add "$FILE" done
true
d3a865271ab8b439a6d9cb5e094e4440b97fc95e
Shell
richarddewit/dotfiles
/bin/spotify-notify.sh
UTF-8
629
3.53125
4
[]
no_license
#!/usr/bin/env bash case "$PLAYER_EVENT" in start|change) ;; *) exit 0;; esac caption="♬ Spotify" metadata="" tries=0 while [ -z "$metadata" ]; do metadata="$(playerctl -p spotifyd metadata)" ((tries+=1)) echo "Tries: $tries" sleep 1 if [ $tries -ge 10 ]; then notify-send "$caption" "Unable to get ...
true
c4c2ddd48e0ff3e197b9e7a60129a12a25306b90
Shell
greggomann/mesos-healthcheck-benchmark
/process-results.sh
UTF-8
916
3.28125
3
[]
no_license
#!/usr/bin/env bash CHECK_RATE_FILE=plot_check_rate.txt RESPONSE_TIME_FILE=plot_response_time.txt rm $CHECK_RATE_FILE echo "Command Check Rates" >> $CHECK_RATE_FILE echo "Tasks in One Pod" >> $CHECK_RATE_FILE echo "Average Check Rate (per sec.)" >> $CHECK_RATE_FILE rm $RESPONSE_TIME_FILE echo "Command Check Responsi...
true
2689056da76f673d2523cbdfd47a81909194dd46
Shell
linushsao/script
/nat-family-1.sh
UTF-8
5,015
3
3
[]
no_license
#!/bin/bash # D=`date +%F@%R` #BASIC CONFIGURE RESET_MODE="" #TRUE:enable RESET,other:disable HARD_RESET_MODE="" #TRUE:enable RESET,other:disable WIRED_MODE="TRUE" #TRUE:enable wired,other:wireless VERBOSE_MODE="" #TRUE:enable debug mode MOBILE_MODE="" #TRUE:enable mobile network INTRANET_MODE="TRUE" #TRUE means e...
true
808b8f16af3e4c638e0049fbb7a0f808e0aa3edf
Shell
freebsd/freebsd-ports
/www/polipo/files/pkg-deinstall.in
UTF-8
629
3.46875
3
[ "BSD-2-Clause" ]
permissive
#!/bin/sh if [ "$2" != "POST-DEINSTALL" ]; then exit 0 fi POLIPOUSER=%%USER%% POLIPOGROUP=%%GROUP%% PCONFIGDIR=%%PCONFIGDIR%% PPIDDIR=%%PPIDDIR%% POLIPOCACHE=%%PCACHEDIR%% POLIPOLOG=%%PLOGFILE%% POLIPOPID=%%PPIDFILE%% POLIPODATA=%%DATADIR%% if pw usershow "${POLIPOUSER}" 2>/dev/null 1>&2; then echo "---> To del...
true
5ce83abb6b811bec6db29b07b36ea4e37c59a71b
Shell
xizhan0513/demos
/linux_list/build.sh
UTF-8
109
2.71875
3
[]
no_license
#!/bin/bash if [ "$1" = "clean" ]; then rm demo_list exit 0 else gcc list_demo.c -o demo_list exit 1 fi
true
a627f32e397979f4399b0ff6bfbb98cf205862c0
Shell
mateuszkucharczyk/toolbox
/buildchain/newProjectFullstack.sh
UTF-8
9,542
2.90625
3
[]
no_license
#!/bin/bash function main() { local projectId=${1:?"[ERROR] Specify a project id"}; local groupId="com.protonmail.mateuszkucharczyk.${projectId}"; mkdir "${projectId}"; cd "${projectId}"; git init . $(createFileRootPom "${groupId}" "pom.xml"); mkdir "fe"; $(createFileFrontendPom "${groupId}" "fe/pom.xml");...
true
d40ee8c295e38476fe5cd1bb355445c60d8f3fb5
Shell
wpruszak/Scripts
/wtch
UTF-8
2,041
4.5625
5
[]
no_license
#!/usr/bin/env bash # Watches everything that is being appended to the # end of the file. If provided with pattern, will filter # lines to only the ones matching pattern. Pattern must be # in POSIX extended regex format. # Example usage: # # wtch /var/log/apache2/error.log 'error|critical' # # Above command will outpu...
true
3cdb93a7ced9cffbc33be6104b1425398ddd6056
Shell
lum/deploy_scripts
/bin/deploy_site
UTF-8
2,014
3.34375
3
[]
no_license
#!/bin/bash ENVIRONMENT=$1 BUILD_TYPE=$2 BUILD_ID=$3 LOCATION=$4 #echo "NOTICE --- NIGHTLY DEPLOYMENTS ARE CURRENTLY OFFLINE" #echo "-------- Aaron Daniel <aarond@choochee.com> --------" #exit 100 echo "--------------- $BUILD_TYPE Deployment ---------------" echo "Deploying Site ID $BUILD_TYPE$BUILD_ID into environm...
true
e52c5c9f1ebdf67ad6e35201e28cc846da9704a2
Shell
eltinawh/churn_prediction_api
/run.sh
UTF-8
413
2.75
3
[]
no_license
#!/bin/bash # To prepare environment and launch the app # For local test only # Usage: ./run.sh # prepare python virtual environment pip install --uprage pip pip install pipenv if [ ! -f 'Pipfile.lock' ]; then pipenv --python 3.7 pipenv shell pipenv install -r requirements.txt fi # run the app pipenv run ...
true
65d743d8952c4aaa7873c0da61d6a8fc17a34103
Shell
bennetthardwick/gatsby-page-query-benchmark
/benchmark
UTF-8
204
2.71875
3
[ "MIT" ]
permissive
#!/bin/bash rm -r .cache rm -r ./public if [ "$1" = "pageContext" ]; then echo "Benchmarking page context" USE_CREATE_PAGES=true yarn build else echo "Benchmarking page query" yarn build fi
true
a3ada09f0bf4f18e98adb796757373f066a5a0da
Shell
bryanjenningz/react-duolingo
/.env.example
UTF-8
570
2.859375
3
[ "MIT" ]
permissive
# Since the ".env" file is gitignored, you can use the ".env.example" file to # build a new ".env" file when you clone the repo. Keep this file up-to-date # when you add new variables to `.env`. # This file will be committed to version control, so make sure not to have any # secrets in it. If you are cloning this repo...
true
37ab971bf051baf1a37c30920e1259608eac5bdd
Shell
Angelbear/MetaOS
/out/target/product/passion/recovery/root/system/etc/tnosupdate-1.sh
UTF-8
375
2.546875
3
[]
no_license
#!/sbin/sh SERVER=`getprop ro.tserver.address` mount -t vfat /dev/block/mmcblk0p1 /sdcard sendmessage 0 #begin animation sendmessage 1 0 0 sendmessage 2 "Downloading update package..." cd /sdcard/ #sleep 150 rm tnosupdate-1.zip wget http://$SERVER/tnosupdate-1.zip sendmessage 2 "Successfully downloaded." sendmessage 3 ...
true
314b1111c586e88f3706e4c8250a63423d10d1b1
Shell
cpausmit/DynamicData
/SmartCache/Client/testSmartCacheDbx.sh
UTF-8
2,515
2.65625
3
[ "MIT" ]
permissive
#!/bin/bash #--------------------------------------------------------------------------------------------------- # Test the SmartCache infrastructure onm all our relevant architectures/OS combinations. #--------------------------------------------------------------------------------------------------- DSET=GluGluToHToG...
true
3dd42b9faedce0394f6d95697a9761a4e6e1be03
Shell
lukechilds/zsh-nvm
/tests/loading/Check zsh-nvm is loaded
UTF-8
329
3.09375
3
[ "MIT" ]
permissive
#!/bin/sh source ../common.sh # We don't need to actually load nvm for this test export ZSH_NVM_NO_LOAD=true # Check ZSH_NVM_DIR isn't already set [[ -z ${ZSH_NVM_DIR+x} ]] || die "ZSH_NVM_DIR already set" # Load zsh-nvm load_zsh_nvm # Check ZSH_NVM_DIR is now set [[ ! -z ${ZSH_NVM_DIR+x} ]] || die "ZSH_NVM_DIR was...
true
b6075d5ad16c6e8f4a9e5a12b5ded79bba39caf2
Shell
gridbugs/apocalypse-post
/scripts/build.sh
UTF-8
1,061
3.734375
4
[ "MIT" ]
permissive
#!/bin/bash set -e DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" APP_NAME=apocalypse-post SUFFIX=$TRAVIS_BRANCH RESOURCES=resources USER=user UPLOADS=uploads DEPS_BUILD=`pwd`/deps_build MACOS_FRAMEWORKS=$DEPS_BUILD/Frameworks mkdir -pv $UPLOADS mkdir -pv $DEPS_BUILD function build_deps_macos { pushd...
true
48e848feec2e5ca9c8df65729ddb4fea4996b7bb
Shell
jwpage/dotfiles
/shell/exports.sh
UTF-8
423
2.75
3
[]
no_license
path_add() { if [ -d "$1" ] && [[ ":$PATH:" != *":$1:"* ]]; then export PATH="${PATH:+"$PATH:"}$1" fi } export DEVELOPMENT="true" export DOTFILES=~/.dotfiles export GREP_OPTIONS='--color=auto' export PATH=$HOME/bin:/usr/local/bin:$PATH path_add "/usr/local/sbin" path_add "/usr/local/Cellar/coreutils/8.21/libe...
true
62918cd3b11c201452ca1d952a17e788f6181803
Shell
oracle/fmw-kubernetes
/FMWKubernetesMAA/OracleEnterpriseDeploymentAutomation/OracleIdentityManagement/oke_utils/delete_oke.sh
UTF-8
3,876
3.828125
4
[ "MIT", "LGPL-2.1-or-later", "LGPL-2.1-only", "Apache-2.0", "UPL-1.0" ]
permissive
#!/bin/bash # Copyright (c) 2023, Oracle and/or its affiliates. # Licensed under the Universal Permissive License v 1.0 as shown at https://oss.oracle.com/licenses/upl. # # This is an example of a script that will delete all of the infrastructure components that were # created using the create_infra.sh script. # # Depe...
true
ff06484f8c088ede5f9f1d9722480a52c36f06a0
Shell
zalando-incubator/kube-metrics-adapter
/hack/update-codegen.sh
UTF-8
3,138
3.078125
3
[ "MIT" ]
permissive
#!/bin/bash # Copyright 2017 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law ...
true
438b5f38e8e0b6ded00c16e006e80fec8a7bfddb
Shell
wuertele/Drupal-Deployer
/devbin/test-subtree-revert
UTF-8
7,030
2.890625
3
[]
no_license
#!/bin/sh -v rm -rf subproject mkdir subproject cd subproject git init echo v0 > Changelog echo v0 > README git add . git commit -m "v0" git tag v0 # add v1 files echo A > Feature-A-v1 echo B > Feature-B-v1v2 echo C > Feature-C-v1v3 echo D > Feature-D-v1v2v3 # tell README what files to expect in v1 echo v1 > README l...
true
5d014a5c8b59f12cbbedaf1ce63d5f48792dd3d5
Shell
Richard-Li-lab-team/Visual-Passway-Reconstraction
/src/ROI2DWI.sh
UTF-8
380
3.109375
3
[]
no_license
#!/bin/bash RawROI=$1 diff2struct_mrtrix=$2 #ResultRoot=$3 #if [ ! -d $ResultRoot ] ;do # mkdir -p $ResultRoot #done if [ ! "${RawROI#*.}" == "mif" ] ; then RawROI_mif=${RawROI%%.nii.gz}.mif mrconvert $RawROI $RawROI_mif else RawROI_mif=${RawROI} fi ROIUse=${RawROI_mif%%.mif}-DWI.mif mrtransform $RawROI_mif \ ...
true
05fb0c2ee68d8d6ab084bb32f1f6b679fe9e1303
Shell
tahia/SNP_calling_GATK
/16-GATK-HaplotypeCallerBSQR.sh
UTF-8
2,969
2.703125
3
[]
no_license
############################################# Head of all Scripts #################################### # The following directories and files are expected to run for SNP calling refDir=/work/02786/taslima/stampede2/dbs/PH #Reference directory where the reference genome file will be ref=PhalliiHAL_496_v2.0.softmasked.fa ...
true
33803d223b4eccf5eb4f1354fe02488fd1180e12
Shell
hippothewild/dotfiles
/bootstrap
UTF-8
3,556
3.40625
3
[]
no_license
#!/bin/bash set -ex printmsg() { echo -e "\033[1;34m$1\033[0m" } # Ask for the administrator password upfront sudo -v # Keep-alive: update existing `sudo` time stamp until `.macos` has finished while true; do sudo -n true; sleep 60; kill -0 "$$" || exit; done 2>/dev/null & printmsg "*** Check prerequisite ***" i...
true
dd6bbbd8fc4a7d498fd4890bf0f1b8bba7531f4f
Shell
EnzoHaegel/MyBash
/mybash_install/scripts/script_man/ra
UTF-8
369
2.8125
3
[ "MIT" ]
permissive
#!/bin/bash if [ -z "$1" ] || [ "$1" == "1" ]; then # Ecrivez le man à la suite du echo echo " PROTOTYPE : ra() UTILISATION : ra DESCRIPTION : ra est un raccourci de rebuild all, rebuild tout à neuf front et back sur rc de poplee talent, peut mettre un peu de temps. VALEUR DE RETOUR : Ple...
true
4a740ad6f8a0370a95962579562ab96284b6cc03
Shell
octobot-dev/react-boilerplate
/scripts/go-script-bash/tests/prompt/prompt-for-input.bats
UTF-8
1,900
3.46875
3
[ "MIT", "ISC", "LicenseRef-scancode-free-unknown" ]
permissive
#! /usr/bin/env bats load ../environment setup() { test_filter @go.create_test_go_script '. "$_GO_USE_MODULES" "prompt"' \ 'declare prompt="$1"' \ 'declare default="$2"' \ 'declare fail_msg="$3"' \ 'declare response="initial value"' \ 'declare result' \ '@go.prompt_for_input "response" "$p...
true
09f827acc46cf8a1ad880f6bf4fc3e6fe9354bd1
Shell
nhatzHK/wallpapers
/display.sh
UTF-8
902
3.734375
4
[ "MIT" ]
permissive
#!/usr/bin/bash quit=0 for i in $(ls | grep -sE "*.png|*.jpg"); do printf "Displaying $i\n\n" feh -xdpq $i & FEH_PID=$! next=1 quit=1 until [[ $next == 0 ]] || [[ $quit -eq 0 ]]; do read -n 1 -p ":>" watcher printf "\n" case $watcher in N|n) kill...
true
3a74baaa36a8d39985b2e0bf5e888c6b6452aa25
Shell
Js-Nanodegree/ereb
/build-image
UTF-8
160
2.90625
3
[]
no_license
#!/usr/bin/env bash version=$1 if [[ -z "$version" ]]; then echo 'Usage '$0' [version]' exit 1 fi docker build -t aviasales/ereb:$version -f Dockerfile .
true
8e70fbca50c44bc5a52592be472ae0cf6a7bc990
Shell
ddv12138/WebApp-Auto-Depolyment
/init.sh
UTF-8
1,204
3.234375
3
[]
no_license
#!/bin/bash set -e echo '开始自动部署' pwd=`pwd` mysqlname="mysql-server" tomcatname="tomcat-server" phpname="php-server" read -p "请输入mysql容器的名字(默认是${mysqlname}):" mysqlname read -p "请输入tomcat容器的名字(默认是"${tomcatname}"):" tomcatname read -p "请输入php容器的名字(默认是"${phpname}"):" phpname if [ -n "${mysqlname}" ];then echo $mysqlname ...
true
a753d318b74844afd24677b2d887cfdf75feeec0
Shell
kaiana/deprecated
/bigsudo/usr/bin/bigterminal
UTF-8
839
3.21875
3
[]
no_license
#!/bin/bash #Terminal # #Authors: # Bruno Goncalves Araujo <www.biglinux.com.br> # #License: GPLv2 or later ################################################# #kde-konsole if [ "$(ps -A | grep plasma-desktop)" != "" ] then if [ "$(which konsole)" != "" ]; then konsole $* exit 0 fi fi #gnome-termi...
true
c7e7ebf878134a971714a6a4c4e44ae45e2bb421
Shell
opnsense/tools
/build/skim.sh
UTF-8
6,588
3.578125
4
[ "BSD-2-Clause" ]
permissive
#!/bin/sh # Copyright (c) 2015-2022 Franco Fichtner <franco@opnsense.org> # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # # 1. Redistributions of source code must retain the above copyright # notice, this list o...
true
1cd22d96496cae616140e1741e89eea14a2e3981
Shell
vasyahacker/perfectominer
/srv/work/set_hostname.sh
UTF-8
249
2.59375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash NEW_HOSTNAME=$1 echo $NEW_HOSTNAME > /proc/sys/kernel/hostname sed -i 's/127.0.1.1.*/127.0.1.1\t'"$NEW_HOSTNAME"'/g' /etc/hosts echo "$NEW_HOSTNAME" > /etc/hostname /etc/init.d/hostname.sh sysctl kernel.hostname="$NEW_HOSTNAME"
true
4a4ea9df536956f1c9e5c9eeac63444b162b6a72
Shell
kvpb/.files
/acos.d/install/Git.sh
UTF-8
1,393
2.8125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash #DMG_filename="git-latest-osx-installer.dmg" #DMG_filename_extension="${DMG_filename##*.}" #DMG_filename_without_extension=$(basename "${DMG_filename}" .dmg) #DMG_PKG_pathname="/Volumes/Git * Intel Universal/git-*-intel-universal-*.pkg" #DMG_PKG_filename="${DMG_PKG_pathname##*/}" mkdir -p ${HOME}/...
true
ee72bb05ffeb1b627643b0d2c1998b22cc4af862
Shell
bucko909/home-bin
/dvd_rip.sh
UTF-8
16,639
3.1875
3
[]
no_license
#!/bin/bash #RIP_TEMP=/smb/newton/media_rw/media4/temp RIP_TEMP=/smb/newton/media/peer2peer ENC_TEMP=/disks/media FINAL=/disks/media LOGS=/disks/media run_long() { fn=$1 shift echo "$*" $* > $LOGS/$fn.out 2> $LOGS/$fn.err } run_cmd() { run_long "$*" } BASE=$1 ACTIONS="$2" if [ -z "$ACTIONS" ]; then ACTIONS="g...
true
265e279bb4c48c0efaed8edb97aea59dca77c9cd
Shell
plijnzaad/advanced-git
/git-pre-commit-hook.sh
UTF-8
1,100
3.34375
3
[]
no_license
#!/bin/sh ## simple example of a pre-commit hook. Put this in ## $YOURWORKINGCOPY/.git/hooks/pre-commit. Note that this check script ## itself is not versioned. readfirst=./env.sh.example if [ -f $readfirst ] ; then source $readfirst fi ## python (simplistic; also check python compileall; PyChecker, ## Pyflakes,...
true
db1dd6c2cc372d80b344ec30907192f44d8ab4c5
Shell
godatadriven/whirl
/envs/sftp-mysql-example/whirl.setup.d/01_prepare_sftp.sh
UTF-8
512
2.5625
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash echo "====================" echo "== Configure SFTP ==" echo "====================" airflow connections add ftp_server \ --conn-type SSH \ --conn-host ftp-server \ --conn-login $SFTP_USER \ --conn-port 22 \...
true
d5394b4873db56d7c8dec03b41087c4e076390c8
Shell
davidofug/shell-programming
/wife.sh
UTF-8
324
3.015625
3
[]
no_license
#!/bin/bash #shebang echo Hello! read -p "Hi, enter your name " name read -p "Enter name 1 " name2 echo "$name2" >> girls.txt read -p "Enter name 2 " name3 echo "$name3" >> girls.txt read -p "Enter name 3 " name4 echo "$name4" >> girls.txt sleep 2 clear echo "Please wait...." sleep 2 cat girls.txt echo "Goodbye $n...
true
add41695d2410a1be73650fdb51847c708465933
Shell
cchantep/ReactiveMongo
/.ci_scripts/retry.sh
UTF-8
327
3.46875
3
[ "Apache-2.0" ]
permissive
#! /bin/sh RETRY_COUNT="0" RETRY_MAX="$1" shift 1 CMD="$@" RES="999" while [ "$RETRY_COUNT" -lt "$RETRY_MAX" ]; do $CMD RES="$?" RETRY_COUNT=`expr $RETRY_COUNT + 1` if [ "$RES" -eq 0 ]; then grep -r '<error' */target/test-reports/ grep -r '<failure' */target/test-reports/ exit 0 fi done exi...
true
178c8dc2a6120e6fa5529389b7c0ea27a2319765
Shell
The-Vuppukari/EmployeeWage
/EmployeeWage.sh
UTF-8
898
3.59375
4
[]
no_license
#!/bin/bash -x isPartTime=1; isFullTime=2; maxHrsInMonth=100; totalSalary=0; empRatePerHr=20; numWorkingDays=20; totalEmpHrs=0; totalWorkingDays=0; function getWorkingHours(){ case $1 in $isFullTime) workingHours=8 ;; $isPartTime) workingHours=4 ;; *) w...
true
1944352f5eaab977e0e66e78587755994ade83ff
Shell
radix-platform/platform
/sources/packages/l/freetype/create-2.6.3-subpixel-patch/create.patch.sh
UTF-8
393
2.578125
3
[]
no_license
#!/bin/sh VERSION=2.6.3 tar --files-from=file.list -xjvf ../freetype-$VERSION.tar.bz2 mv freetype-$VERSION freetype-$VERSION-orig cp -rf ./freetype-$VERSION-new ./freetype-$VERSION diff -b --unified -Nr freetype-$VERSION-orig freetype-$VERSION > freetype-$VERSION-subpixel.patch mv freetype-$VERSION-subpixel.patc...
true
0ab881395c2505df165ccaad204f7a335e03b815
Shell
stormyordos/STAR
/payload.txt
UTF-8
1,662
3.40625
3
[]
no_license
#!/bin/bash # # Title: Optical Exfiltration # Author: stormyordos from bg-wa's version # Version: 1.0 # Category: HID # Target: Windows # Attackmodes: HID # Sources: Hak5 2320, https://github.com/bg-wa/QRExtractor # # Quick HID only attack to write an HTML/JS file to target mach...
true
967acc3892702152e961b18deda233447f3961f2
Shell
thePureSky/shell_script
/Cases_Linux_command_line_and_shell_scripting_bible/13_test10
UTF-8
157
2.875
3
[]
no_license
#!/bin/bash # testing the $# variable echo "The number of parameters is $#" params=$# echo the last parameter is $params echo the last parameter is ${!#}
true
e8f94e0388a48a0d962b42a3fd3b21ae1bb3e6c2
Shell
matthiasdiener/numafac
/calc_numafactor.sh
UTF-8
5,663
3.859375
4
[]
no_license
#!/bin/bash PROGNAME=$(basename $0) #sysfs SYSFS_CPU="/sys/devices/system/cpu" SYSFS_NODE="/sys/devices/system/node" CPU_POSSIBLE_COUNT=$(ls -d ${SYSFS_CPU}/cpu[0-9]* | wc -l) NODE_POSSIBLE_COUNT=$(ls -1d ${SYSFS_NODE}/node[0-9]* | wc -l) rm -rf output mkdir -p output if [ 1 -eq 1 ]; then echo ">>>$PROGNAME: Comp...
true
bbdb6b6201a64cd1279bbbdc370eeb11dec375e5
Shell
laidbackware/asdf-vmware
/tests/run-tests.sh
UTF-8
1,964
3.953125
4
[]
no_license
#!/bin/bash # This set of tests must be run in a clean environment # It can either be run in docker of github actions . $HOME/.asdf/asdf.sh [[ -z ${DEBUGX:-} ]] || set -x set -euo pipefail sep=" " [[ -z ${ASDF_LEGACY:-} ]] || sep="-" script_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" function test_plu...
true
7c77a89dbc0268f28cf04fe9158dd340837d5d7b
Shell
yibit/light
/tools/sakura
UTF-8
1,248
3.828125
4
[ "LicenseRef-scancode-other-permissive", "LicenseRef-scancode-warranty-disclaimer" ]
permissive
#!/bin/sh MYHOME=`pwd` light="light.sh" cat > $light <<EOF #/bin/sh usage() { echo "Usage: " echo " \$0 <project name> " echo " " return 0 } if test \$# -ne 1; then usage exit 1 fi NAME=\$1 EOF base=`find $MYHOME -type d |gre...
true
c97b3b961eb7bc0907b852626e17e3e1a452b9e2
Shell
nationminu/tomcat7-script
/tomcat7/instance/simple/bin/shutdown.sh
UTF-8
569
3.21875
3
[]
no_license
#!/bin/sh BASEDIR=$(dirname "$0") . $BASEDIR/env.sh # ------------------------------------ PID=`ps -ef | grep java | grep "=$SERVER_NAME" | awk '{print $2}'` if [ e$PID == "e" ] then echo "JBOSS($SERVER_NAME) is not RUNNING..." exit; fi # ------------------------------------ UNAME=`id -u -n` if [ e$UNAME != "...
true
63153237addb32128c19d5f50be256b927a26e0f
Shell
recap/MicroInfrastructure
/ContainerAdaptors/lofar-stage/scripts/install-lofar-lta.sh
UTF-8
969
3.34375
3
[ "MIT" ]
permissive
#!/bin/sh INSTANTCLIENT="/etc/ld.so.conf.d/oracle-instantclient.conf" LIBRARY="lofar_lta-2.7.1" # Install dependencies (libaio) apt-get -qq update && apt-get -qq install -y libaio1 && rm -rf /var/lib/apt/lists/* # Download and extract curl http://www.astro-wise.org/losoft/$LIBRARY.tar.gz | tar xz && cd $LIBRARY # R...
true